org.jbpm.services.cdi.producer

## Class HumanTaskServiceProducer

- java.lang.Object
- - org.jbpm.services.cdi.producer.HumanTaskServiceProducer

-     public class HumanTaskServiceProducer
      extends Object

  CDI producer for `TaskService` instances. By default it runs in new mode, meaning new `TaskService` instance for every injection point. This behavior can be altered by setting `org.jbpm.cdi.taskservice.mode` system property to one of the values.
  - none - disables producer to not return TaskService instances
  - singleton - produces only one instance of TaskService that will be shared
  - new - produces new instance for every injection point
  This bean accept following injections:
  - UserGroupCallback
  - UserInfo
  - TaskLifeCycleEventListener
  all of these are optional injections and if not available defaults will be used. Underneath it uses `HumanTaskConfigurator` for `TaskService` instances creations.
  See Also:
    `HumanTaskConfigurator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HumanTaskServiceProducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configureHumanTaskConfigurator(HumanTaskConfigurator configurator)`
    `protected HumanTaskConfigurator` | `createHumanTaskConfigurator()`
    `protected org.kie.api.runtime.Environment` | `getEnvironment(javax.enterprise.inject.Instance<org.kie.internal.identity.IdentityProvider> identityProvider)`
    `CommandBasedTaskService` | `produceTaskService()`
    `protected <T> T` | `safeGet(javax.enterprise.inject.Instance<T> instance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HumanTaskServiceProducer

          public HumanTaskServiceProducer()

  - ### Method Detail

    - #### produceTaskService

          @Produces
          public CommandBasedTaskService produceTaskService()

    - #### createHumanTaskConfigurator

          protected HumanTaskConfigurator createHumanTaskConfigurator()

    - #### configureHumanTaskConfigurator

          protected void configureHumanTaskConfigurator(HumanTaskConfigurator configurator)

    - #### getEnvironment

          protected org.kie.api.runtime.Environment getEnvironment(javax.enterprise.inject.Instance<org.kie.internal.identity.IdentityProvider> identityProvider)

    - #### safeGet

          protected <T> T safeGet(javax.enterprise.inject.Instance<T> instance)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.